> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete document

> Remove a document from the knowledge base.



## OpenAPI

````yaml /specs/realtime/openapi.public.json delete /v1alpha1/public/knowledge-base/document/{documentID}
openapi: 3.0.0
info:
  title: Realtime
  description: Realtime gateway API service
  version: 1.0.0
  contact: {}
servers:
  - url: https://realtime-api.voiceflow.com
security: []
paths:
  /v1alpha1/public/knowledge-base/document/{documentID}:
    delete:
      tags:
        - KBPublicApiDocument
        - Public-Docs
      summary: Delete document
      description: Remove a document from the knowledge base.
      operationId: KnowledgeBaseDocumentApiPublicHTTPController_deleteOne
      parameters:
        - name: documentID
          required: true
          in: path
          description: ID of the document to target.
          schema:
            description: ID of the document to target.
            type: string
        - name: projectEnvironmentIDOrAlias
          required: false
          in: query
          schema:
            description: >-
              The alias of the environment to target (ie. `main`). You can find
              this in the environments page of your agent.


              > **💡 Tip:** [Learn more about
              Environments](/documentation/deploy/environments).
            type: string
      responses:
        '200':
          description: The target document was deleted successfully.
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````